Name: eclipse-cdt
Version: 2.1.0
Release: alt1

Summary: Eclipse C/C++ Development Tools
Group: Development/C++
License: CPL
URL: http://www.eclipse.org/cdt/

Requires: eclipse >= 3.0

%define eclipse_home %_libdir/eclipse

%ifarch %ix86
%define earch x86
%else
%define earch %_arch
%endif

Source: org.eclipse.cdt.sdk-%version-%_target_os.%earch.zip
Patch0: %name-2.1.0-alt-native-compiler-warnings.patch

BuildRequires: unzip
BuildRequires: j2se-devel

%description
Eclipse C/C++ development tools.

%package source
Summary: Eclipse CDT sources
Group: Development/Java
Requires: eclipse >= 3.0

%package sdk
Summary: Eclipse CDT SDK bundle
Group: Development/C++
Requires: %name = %version-%release
Requires: %name-source = %version-%release

%description source
API documentation and source code for Eclipse C/C++ development tools.

%description sdk
Full Eclipse C/C++ Development Tools SDK,
complete with binaries, documentation and sources.

%prep
%setup -q -c
%patch0 -p0
find eclipse -name '*.so' -print0 | xargs -r0 %__rm -f --

%build
cd eclipse/plugins/org.eclipse.cdt.source.%{_target_os}.gtk.%{earch}_%version/src/org.eclipse.cdt.core.%{_target_os}_%version/library
export JAVA_HOME=%_libdir/j2se
%make_build CFLAGS="$RPM_OPT_FLAGS -fpic -D_REENTRANT -D_GNU_SOURCE"
%__install -m644 ../os/%_target_os/%earch/*.so \
    ../../../../org.eclipse.cdt.core.%{_target_os}_%version/os/%_target_os/%earch/
%make clean
%__rm -rf ../os

%install
%__mkdir_p %buildroot%eclipse_home
%__cp -a eclipse/* %buildroot%eclipse_home/

%post
/bin/touch -c %eclipse_home/plugins

%postun
/bin/touch -c %eclipse_home/plugins

%post source
/bin/touch -c %eclipse_home/plugins

%postun source
/bin/touch -c %eclipse_home/plugins

%post sdk
/bin/touch -c %eclipse_home/plugins

%postun sdk
/bin/touch -c %eclipse_home/plugins

%files
%eclipse_home/features/*
%eclipse_home/plugins/*
%exclude %eclipse_home/features/*source*
%exclude %eclipse_home/features/*sdk*
%exclude %eclipse_home/plugins/*source*
%exclude %eclipse_home/plugins/*sdk*

%files source
%eclipse_home/features/*source*
%eclipse_home/plugins/*source*

%files sdk
%eclipse_home/features/*sdk*
%eclipse_home/plugins/*sdk*

%changelog
* Thu Jan 13 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.1.0-alt1
- First release for Sisyphus
